All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::no_precond Class Reference

A tag class representing the use of no preconditioner. More...

`#include <forwards.h>`

## Public Member Functions

template<typename VectorType >
void | apply (VectorType &) const

## Detailed Description

A tag class representing the use of no preconditioner.

Examples:
  amg.cpp.

Definition at line 873 of file forwards.h.

## Member Function Documentation

template<typename VectorType >

void viennacl::linalg::no_precond::apply | ( | VectorType & |  | ) | const

inline

Definition at line 877 of file forwards.h.

The documentation for this class was generated from the following file:

- viennacl/forwards.h